Page MenuHomePhabricator

Remove wgPoweredByHHVM variable and NavTiming ingestion
Closed, ResolvedPublic

Description

Reverse of T211906: Expose PHP7/HHVM to NavTiming in a header, send with navtiming beacon so we can use it as a dimension

  • Remove wgPoweredByHHVM variable from WikimediaEvents extension.
  • Remove wgPoweredByHHVM ingestion in NavTiming extension.

Details

Related Gerrit Patches:
mediawiki/extensions/NavigationTiming : masterDrop PHP engine logging
mediawiki/extensions/WikimediaEvents : masterRemove wgPoweredByHHVM JS variable

Event Timeline

Krinkle created this task.Oct 2 2019, 12:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2019, 12:45 AM

Change 540520 had a related patch set uploaded (by Krinkle; owner: MaxSem):
[mediawiki/extensions/WikimediaEvents@master] Remove wgPoweredByHHVM JS variable

https://gerrit.wikimedia.org/r/540520

Change 540520 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Remove wgPoweredByHHVM JS variable

https://gerrit.wikimedia.org/r/540520

Krinkle updated the task description. (Show Details)Oct 4 2019, 5:32 PM
Krinkle updated the task description. (Show Details)

Change 544068 had a related patch set uploaded (by Krinkle; owner: MaxSem):
[mediawiki/extensions/NavigationTiming@master] Drop PHP engine logging

https://gerrit.wikimedia.org/r/544068

Krinkle closed this task as Resolved.Oct 18 2019, 3:27 AM
Krinkle assigned this task to MaxSem.
Krinkle triaged this task as High priority.
Krinkle removed a project: Patch-For-Review.
Krinkle updated the task description. (Show Details)

Change 544068 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Drop PHP engine logging

https://gerrit.wikimedia.org/r/544068